Package com.xebialabs.xlrelease.domain.runner

# Class RemoteRunnerRegistrySettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.Configuration
com.xebialabs.xlrelease.domain.runner.RemoteRunnerRegistrySettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class RemoteRunnerRegistrySettings extends Configuration

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoteRunnerRegistrySettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `baseUrls()`
  `void`
  `baseUrls_$eq(Set<String> x$1)`
  `Set<String>`
  `getBaseUrls()`
  `Map<String,String>`
  `getImageUrlMappings()`
  `Map<String,String>`
  `getRegistryPullSecretMappings()`
  `Map<String,String>`
  `imageUrlMappings()`
  `void`
  `imageUrlMappings_$eq(Map<String,String> x$1)`
  `Map<String,String>`
  `registryPullSecretMappings()`
  `void`
  `registryPullSecretMappings_$eq(Map<String,String> x$1)`
  `void`
  `setBaseUrls(Set<String> x$1)`
  `void`
  `setImageUrlMappings(Map<String,String> x$1)`
  `void`
  `setRegistryPullSecretMappings(Map<String,String> x$1)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

  `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, hasId, isSupportedOn, setCiUid, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RemoteRunnerRegistrySettings

    public RemoteRunnerRegistrySettings()

- ## Method Details

  - ### baseUrls

    public Set<String> baseUrls()

  - ### baseUrls_$eq

    public void baseUrls_$eq(Set<String> x$1)

  - ### getBaseUrls

    public Set<String> getBaseUrls()

  - ### getImageUrlMappings

    public Map<String,String> getImageUrlMappings()

  - ### getRegistryPullSecretMappings

    public Map<String,String> getRegistryPullSecretMappings()

  - ### imageUrlMappings

    public Map<String,String> imageUrlMappings()

  - ### imageUrlMappings_$eq

    public void imageUrlMappings_$eq(Map<String,String> x$1)

  - ### registryPullSecretMappings

    public Map<String,String> registryPullSecretMappings()

  - ### registryPullSecretMappings_$eq

    public void registryPullSecretMappings_$eq(Map<String,String> x$1)

  - ### setBaseUrls

    public void setBaseUrls(Set<String> x$1)

  - ### setImageUrlMappings

    public void setImageUrlMappings(Map<String,String> x$1)

  - ### setRegistryPullSecretMappings

    public void setRegistryPullSecretMappings(Map<String,String> x$1)